Summary:	A syslog data viewer for the web
Name:		phplogcon
Version:	2.3.11
Release:	%mkrel 1
License:	GPLv3+
Group:          System/Servers
URL:		http://www.phplogcon.com/
Source0:	http://download.adiscon.com/phplogcon/%{name}-%{version}.tar.gz
Source1:	README.Mandriva
Patch0:		phplogcon-mdv_conf.diff
Requires:       apache-mod_php php-gd php-gettext
Suggests:	php-mysql php-pdo_mysql mysql rsyslog rsyslog-mysql
Requires(post): rpm-helper
Requires(postun): rpm-helper
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
phpLogCon is a web interface to syslog and other network event data. It
provides easy browsing and some basic analysis of realtime network events.
Depending on the applications feeding the database, it can process syslog
messages, Windows event log entries and even SNMP trap data - just to name a
few.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1

cp %{SOURCE1} .

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}/var/www/%{name}

cp -aRf src/* %{buildroot}/var/www/%{name}/
touch %{buildroot}%{_sysconfdir}/%{name}/config.php

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF

Alias /%{name} /var/www/%{name}

<Directory /var/www/%{name}>
    Options -Indexes
    Order Deny,Allow
    Deny from All
    Allow from 127.0.0.1
    ErrorDocument 403 "Access denied per %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf."
</Directory>

EOF

# cleanup
rm -f %{buildroot}/var/www/%{name}/.htaccess

%post
%_post_webapp

%postun
%_postun_webapp

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc INSTALL ChangeLog README.Mandriva
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%attr(0755,root,apache) %dir %{_sysconfdir}/%{name}
%attr(0664,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/config.php
/var/www/%{name}


%changelog
* Thu Sep 11 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3.11-1mdv2009.0
+ Revision: 283706
- 2.3.11 (partly synced with fedora)
- rediffed P0

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.3-4mdv2009.0
+ Revision: 258996
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.3-3mdv2009.0
+ Revision: 246871
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- fix summary

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 22 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-1mdv2008.1
+ Revision: 111229
- import phplogcon


* Thu Nov 22 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-1mdv2008.1
- initial Mandriva package (fedora import)
